# Uses of Enum Class
java.net.http.HttpClient.Version

Packages that use HttpClient.Version
Package
Description
java.net.http
HTTP Client and WebSocket APIs

## Uses of HttpClient.Version in java.net.http

Subclasses with type arguments of type HttpClient.Version in java.net.http
Modifier and Type
Class
Description
`static enum`
`HttpClient.Version`
The HTTP protocol version.
Methods in java.net.http that return HttpClient.Version
Modifier and Type
Method
Description
`static HttpClient.Version`
HttpClient.Version.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HttpClient.Version[]`
HttpClient.Version.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
`abstract HttpClient.Version`
HttpClient.`version()`
Returns the preferred HTTP protocol version for this client.
`HttpClient.Version`
HttpResponse.ResponseInfo.`version()`
Provides the response protocol version.
`HttpClient.Version`
HttpResponse.`version()`
Returns the HTTP protocol version that was used for this response.
Methods in java.net.http that return types with arguments of type HttpClient.Version
Modifier and Type
Method
Description
`abstract Optional<HttpClient.Version>`
HttpRequest.`version()`
Returns an `Optional` containing the HTTP protocol version that will be requested for this `HttpRequest`.
Methods in java.net.http with parameters of type HttpClient.Version
Modifier and Type
Method
Description
`HttpClient.Builder`
HttpClient.Builder.`version(HttpClient.Version version)`
Requests a specific HTTP protocol version where possible.
`HttpRequest.Builder`
HttpRequest.Builder.`version(HttpClient.Version version)`
Sets the preferred `HttpClient.Version` for this request.